## org.eclipse.emf.edit.provider
Interface IItemPropertyDescriptor

All Known Implementing Classes:
  DelegatingWrapperItemProvider.DelegatingWrapperItemPropertyDescriptor, GenBaseItemProvider.GenItemPropertyDescriptor, ItemPropertyDescriptor, ItemPropertyDescriptorDecorator, WrapperItemProvider.WrapperItemPropertyDescriptor

    public interface IItemPropertyDescriptor

This interface extends IPropertyDescriptor so that the methods of `IItemPropertySource` can be delegated to the descriptor. This allows the implementing class to completely encapsulate the work associated with supporting a particular property sheet property.

Nested Class Summary
`static interface` `IItemPropertyDescriptor.OverrideableCommandOwner` This interface may be implemented by item property descriptors to allow an object to be provided as an override for whatever would usually be the owner of any commands created to set the property's value.

Method Summary
`boolean` `canSetProperty(java.lang.Object object)` This determines whether this descriptor's property for the object supports set (and reset).
`java.lang.String` `getCategory(java.lang.Object object)` Returns the name of the category to which this property belongs.
`java.util.Collection<?>` `getChoiceOfValues(java.lang.Object object)` Returns the choices of all the values that this property may take one.
`java.lang.String` `getDescription(java.lang.Object object)` Returns a brief description of this property.
`java.lang.String` `getDisplayName(java.lang.Object object)` Returns the display name for this property.
`java.lang.Object` `getFeature(java.lang.Object object)` Returns the feature.
`java.lang.String[]` `getFilterFlags(java.lang.Object object)` Returns a list of filter types to which this property belongs.
`java.lang.Object` `getHelpContextIds(java.lang.Object object)`
`java.lang.String` `getId(java.lang.Object object)` Returns the id for this property.
`IItemLabelProvider` `getLabelProvider(java.lang.Object object)` Returns the label provider for this property.
`java.lang.Object` `getPropertyValue(java.lang.Object object)` This fetches this descriptor's property from the object.
`boolean` `isCompatibleWith(java.lang.Object object, java.lang.Object anotherObject, IItemPropertyDescriptor anotherPropertyDescriptor)` Returns whether this property descriptor and the given one are compatible.
`boolean` `isMany(java.lang.Object object)` Returns whether this property represents multiple values.
`boolean` `isMultiLine(java.lang.Object object)` Returns whether this property's value will consist of multi-line text.
`boolean` `isPropertySet(java.lang.Object object)` This determines whether this descriptor's property for the object is set.
`boolean` `isSortChoices(java.lang.Object object)` Returns whether the choices for this property should be sorted for display.
`void` `resetPropertyValue(java.lang.Object object)` This resets this descriptor's property for the object.
`void` `setPropertyValue(java.lang.Object object, java.lang.Object value)` This sets this descriptor's property for the object to the given value.

Method Detail

### getPropertyValue

    java.lang.Object getPropertyValue(java.lang.Object object)

  This fetches this descriptor's property from the object. Sometimes it's necessary to update the contents of the cell editor during this call, i.e., the call is used as a notification that this descriptor is being used to edit another object.

### isPropertySet

    boolean isPropertySet(java.lang.Object object)

  This determines whether this descriptor's property for the object is set. I'm not sure right now what this is used for? I should find out.

### canSetProperty

    boolean canSetProperty(java.lang.Object object)

  This determines whether this descriptor's property for the object supports set (and reset).

### resetPropertyValue

    void resetPropertyValue(java.lang.Object object)

  This resets this descriptor's property for the object.

### setPropertyValue

    void setPropertyValue(java.lang.Object object,
                          java.lang.Object value)

  This sets this descriptor's property for the object to the given value.

### getCategory

    java.lang.String getCategory(java.lang.Object object)

  Returns the name of the category to which this property belongs.

### getDescription

    java.lang.String getDescription(java.lang.Object object)

  Returns a brief description of this property.

### getDisplayName

    java.lang.String getDisplayName(java.lang.Object object)

  Returns the display name for this property.

### getFilterFlags

    java.lang.String[] getFilterFlags(java.lang.Object object)

  Returns a list of filter types to which this property belongs.

### getHelpContextIds

    java.lang.Object getHelpContextIds(java.lang.Object object)

### getId

    java.lang.String getId(java.lang.Object object)

  Returns the id for this property.

### getLabelProvider

    IItemLabelProvider getLabelProvider(java.lang.Object object)

  Returns the label provider for this property.

### isCompatibleWith

    boolean isCompatibleWith(java.lang.Object object,
                             java.lang.Object anotherObject,
                             IItemPropertyDescriptor anotherPropertyDescriptor)

  Returns whether this property descriptor and the given one are compatible.

### getFeature

    java.lang.Object getFeature(java.lang.Object object)

  Returns the feature.

### isMany

    boolean isMany(java.lang.Object object)

  Returns whether this property represents multiple values. This may not be the same as the feature's getMany(), as the property may allows editing only a single value of a multi-valued feature.

### getChoiceOfValues

    java.util.Collection<?> getChoiceOfValues(java.lang.Object object)

  Returns the choices of all the values that this property may take one.

### isMultiLine

    boolean isMultiLine(java.lang.Object object)

  Returns whether this property's value will consist of multi-line text.

  Since:
    2.2.0

### isSortChoices

    boolean isSortChoices(java.lang.Object object)

  Returns whether the choices for this property should be sorted for display.

  Since:
    2.2.0

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.